_(A_MonitorPop,             MONITORPOP)
_(A_Explode,                EXPLODE)
_(A_Pain,                   PAIN)
_(A_Fall,                   FALL)
_(A_Look,                   LOOK)
_(A_Chase,                  CHASE)
_(A_FaceStabChase,          FACESTABCHASE)
_(A_StatueBurst,            STATUEBURST)
_(A_FaceTarget,             FACETARGET)
_(A_FaceTracer,             FACETRACER)
_(A_Scream,                 SCREAM)
_(A_BossDeath,              BOSSDEATH)
_(A_RingBox,                RINGBOX) // Obtained Ring Box Tails
_(A_BunnyHop,               BUNNYHOP) // have bunny hop tails
_(A_BubbleSpawn,            BUBBLESPAWN) // Randomly spawn bubbles
_(A_FanBubbleSpawn,         FANBUBBLESPAWN)
_(A_BubbleRise,             BUBBLERISE) // Bubbles float to surface
_(A_BubbleCheck,            BUBBLECHECK) // Don't draw if not underwater
_(A_AwardScore,             AWARDSCORE)
_(A_ScoreRise,              SCORERISE) // Rise the score logo
_(A_AttractChase,           ATTRACTCHASE) // Ring Chase
_(A_DropMine,               DROPMINE) // Drop Mine from Skim or Jetty-Syn Bomber
_(A_FishJump,               FISHJUMP) // Fish Jump
_(A_SetSolidSteam,          SETSOLIDSTEAM)
_(A_UnsetSolidSteam,        UNSETSOLIDSTEAM)
_(A_SignPlayer,             SIGNPLAYER)
_(A_OverlayThink,           OVERLAYTHINK)
_(A_JetChase,               JETCHASE)
_(A_JetbThink,              JETBTHINK) // Jetty-Syn Bomber Thinker
_(A_JetgThink,              JETGTHINK) // Jetty-Syn Gunner Thinker
_(A_JetgShoot,              JETGSHOOT) // Jetty-Syn Shoot Function
_(A_ShootBullet,            SHOOTBULLET) // JetgShoot without reactiontime setting
_(A_MinusDigging,           MINUSDIGGING)
_(A_MinusPopup,             MINUSPOPUP)
_(A_MinusCheck,             MINUSCHECK)
_(A_ChickenCheck,           CHICKENCHECK)
_(A_MouseThink,             MOUSETHINK) // Mouse Thinker
_(A_DetonChase,             DETONCHASE) // Deton Chaser
_(A_CapeChase,              CAPECHASE) // Fake little Super Sonic cape
_(A_RotateSpikeBall,        ROTATESPIKEBALL) // Spike ball rotation
_(A_SlingAppear,            SLINGAPPEAR)
_(A_UnidusBall,             UNIDUSBALL)
_(A_RockSpawn,              ROCKSPAWN)
_(A_SetFuse,                SETFUSE)
_(A_CrawlaCommanderThink,   CRAWLACOMMANDERTHINK) // Crawla Commander
_(A_SmokeTrailer,           SMOKETRAILER)
_(A_RingExplode,            RINGEXPLODE)
_(A_OldRingExplode,         OLDRINGEXPLODE)
_(A_MixUp,                  MIXUP)
_(A_Boss1Chase,             BOSS1CHASE)
_(A_FocusTarget,            FOCUSTARGET)
_(A_Boss2Chase,             BOSS2CHASE)
_(A_Boss2Pogo,              BOSS2POGO)
_(A_BossZoom,               BOSSZOOM) // Unused
_(A_BossScream,             BOSSSCREAM)
_(A_Boss2TakeDamage,        BOSS2TAKEDAMAGE)
_(A_Boss7Chase,             BOSS7CHASE)
_(A_GoopSplat,              GOOPSPLAT)
_(A_Boss2PogoSFX,           BOSS2POGOSFX)
_(A_Boss2PogoTarget,        BOSS2POGOTARGET)
_(A_BossJetFume,            BOSSJETFUME)
_(A_EggmanBox,              EGGMANBOX)
_(A_TurretFire,             TURRETFIRE)
_(A_SuperTurretFire,        SUPERTURRETFIRE)
_(A_TurretStop,             TURRETSTOP)
_(A_JetJawRoam,             JETJAWROAM)
_(A_JetJawChomp,            JETJAWCHOMP)
_(A_PointyThink,            POINTYTHINK)
_(A_CheckBuddy,             CHECKBUDDY)
_(A_HoodThink,              HOODTHINK)
_(A_ArrowCheck,             ARROWCHECK)
_(A_SnailerThink,           SNAILERTHINK)
_(A_SharpChase,             SHARPCHASE)
_(A_SharpSpin,              SHARPSPIN)
_(A_SharpDecel,             SHARPDECEL)
_(A_CrushstaceanWalk,       CRUSHSTACEANWALK)
_(A_CrushstaceanPunch,      CRUSHSTACEANPUNCH)
_(A_CrushclawAim,           CRUSHCLAWAIM)
_(A_CrushclawLaunch,        CRUSHCLAWLAUNCH)
_(A_VultureVtol,            VULTUREVTOL)
_(A_VultureCheck,           VULTURECHECK)
_(A_SkimChase,              SKIMCHASE)
_(A_SkullAttack,            SKULLATTACK)
_(A_LobShot,                LOBSHOT)
_(A_FireShot,               FIRESHOT)
_(A_SuperFireShot,          SUPERFIRESHOT)
_(A_BossFireShot,           BOSSFIRESHOT)
_(A_Boss7FireMissiles,      BOSS7FIREMISSILES)
_(A_Boss1Laser,             BOSS1LASER)
_(A_Boss4Reverse,           BOSS4REVERSE)
_(A_Boss4SpeedUp,           BOSS4SPEEDUP)
_(A_Boss4Raise,             BOSS4RAISE)
_(A_SparkFollow,            SPARKFOLLOW)
_(A_BuzzFly,                BUZZFLY)
_(A_GuardChase,             GUARDCHASE)
_(A_EggShield,              EGGSHIELD)
_(A_SetReactionTime,        SETREACTIONTIME)
_(A_Boss1Spikeballs,        BOSS1SPIKEBALLS)
_(A_Boss3TakeDamage,        BOSS3TAKEDAMAGE)
_(A_Boss3Path,              BOSS3PATH)
_(A_LinedefExecute,         LINEDEFEXECUTE)
_(A_LinedefExecuteFromArg,  LINEDEFEXECUTEFROMARG)
_(A_PlaySeeSound,           PLAYSEESOUND)
_(A_PlayAttackSound,        PLAYATTACKSOUND)
_(A_PlayActiveSound,        PLAYACTIVESOUND)
_(A_SpawnObjectAbsolute,    SPAWNOBJECTABSOLUTE)
_(A_SpawnObjectRelative,    SPAWNOBJECTRELATIVE)
_(A_ChangeAngleRelative,    CHANGEANGLERELATIVE)
_(A_ChangeAngleAbsolute,    CHANGEANGLEABSOLUTE)
_(A_RollAngle,              ROLLANGLE)
_(A_ChangeRollAngleRelative,CHANGEROLLANGLERELATIVE)
_(A_ChangeRollAngleAbsolute,CHANGEROLLANGLEABSOLUTE)
_(A_PlaySound,              PLAYSOUND)
_(A_FindTarget,             FINDTARGET)
_(A_FindTracer,             FINDTRACER)
_(A_SetTics,                SETTICS)
_(A_SetRandomTics,          SETRANDOMTICS)
_(A_ChangeColorRelative,    CHANGECOLORRELATIVE)
_(A_ChangeColorAbsolute,    CHANGECOLORABSOLUTE)
_(A_Dye,                    DYE)
_(A_MoveRelative,           MOVERELATIVE)
_(A_MoveAbsolute,           MOVEABSOLUTE)
_(A_Thrust,                 THRUST)
_(A_ZThrust,                ZTHRUST)
_(A_SetTargetsTarget,       SETTARGETSTARGET)
_(A_SetObjectFlags,         SETOBJECTFLAGS)
_(A_SetObjectFlags2,        SETOBJECTFLAGS2)
_(A_RandomState,            RANDOMSTATE)
_(A_RandomStateRange,       RANDOMSTATERANGE)
_(A_StateRangeByAngle,      STATERANGEBYANGLE)
_(A_StateRangeByParameter,  STATERANGEBYPARAMETER)
_(A_DualAction,             DUALACTION)
_(A_RemoteAction,           REMOTEACTION)
_(A_ToggleFlameJet,         TOGGLEFLAMEJET)
_(A_OrbitNights,            ORBITNIGHTS)
_(A_GhostMe,                GHOSTME)
_(A_SetObjectState,         SETOBJECTSTATE)
_(A_SetObjectTypeState,     SETOBJECTTYPESTATE)
_(A_KnockBack,              KNOCKBACK)
_(A_PushAway,               PUSHAWAY)
_(A_RingDrain,              RINGDRAIN)
_(A_SplitShot,              SPLITSHOT)
_(A_MissileSplit,           MISSILESPLIT)
_(A_MultiShot,              MULTISHOT)
_(A_InstaLoop,              INSTALOOP)
_(A_Custom3DRotate,         CUSTOM3DROTATE)
_(A_SearchForPlayers,       SEARCHFORPLAYERS)
_(A_CheckRandom,            CHECKRANDOM)
_(A_CheckTargetRings,       CHECKTARGETRINGS)
_(A_CheckRings,             CHECKRINGS)
_(A_CheckTotalRings,        CHECKTOTALRINGS)
_(A_CheckHealth,            CHECKHEALTH)
_(A_CheckRange,             CHECKRANGE)
_(A_CheckHeight,            CHECKHEIGHT)
_(A_CheckTrueRange,         CHECKTRUERANGE)
_(A_CheckThingCount,        CHECKTHINGCOUNT)
_(A_CheckAmbush,            CHECKAMBUSH)
_(A_CheckCustomValue,       CHECKCUSTOMVALUE)
_(A_CheckCusValMemo,        CHECKCUSVALMEMO)
_(A_SetCustomValue,         SETCUSTOMVALUE)
_(A_UseCusValMemo,          USECUSVALMEMO)
_(A_RelayCustomValue,       RELAYCUSTOMVALUE)
_(A_CusValAction,           CUSVALACTION)
_(A_ForceStop,              FORCESTOP)
_(A_ForceWin,               FORCEWIN)
_(A_SpikeRetract,           SPIKERETRACT)
_(A_InfoState,              INFOSTATE)
_(A_Repeat,                 REPEAT)
_(A_SetScale,               SETSCALE)
_(A_RemoteDamage,           REMOTEDAMAGE)
_(A_HomingChase,            HOMINGCHASE)
_(A_TrapShot,               TRAPSHOT)
_(A_VileTarget,             VILETARGET)
_(A_VileAttack,             VILEATTACK)
_(A_VileFire,               VILEFIRE)
_(A_BrakChase,              BRAKCHASE)
_(A_BrakFireShot,           BRAKFIRESHOT)
_(A_BrakLobShot,            BRAKLOBSHOT)
_(A_NapalmScatter,          NAPALMSCATTER)
_(A_SpawnFreshCopy,         SPAWNFRESHCOPY)
_(A_FlickySpawn,            FLICKYSPAWN)
_(A_FlickyCenter,           FLICKYCENTER)
_(A_FlickyAim,              FLICKYAIM)
_(A_FlickyFly,              FLICKYFLY)
_(A_FlickySoar,             FLICKYSOAR)
_(A_FlickyCoast,            FLICKYCOAST)
_(A_FlickyHop,              FLICKYHOP)
_(A_FlickyFlounder,         FLICKYFLOUNDER)
_(A_FlickyCheck,            FLICKYCHECK)
_(A_FlickyHeightCheck,      FLICKYHEIGHTCHECK)
_(A_FlickyFlutter,          FLICKYFLUTTER)
_(A_FlameParticle,          FLAMEPARTICLE)
_(A_FadeOverlay,            FADEOVERLAY)
_(A_ConnectToGround,        CONNECTTOGROUND)
_(A_SpawnParticleRelative,  SPAWNPARTICLERELATIVE)
_(A_ParticleSpawn,          PARTICLESPAWN)
_(A_MultiShotDist,          MULTISHOTDIST)
_(A_CheckFlags2,            CHECKFLAGS2)
_(A_DoNPCSkid,              DONPCSKID)
_(A_DoNPCPain,              DONPCPAIN)
_(A_PrepareRepeat,          PREPAREREPEAT)
_(A_LookForBetter,          LOOKFORBETTER)
_(A_ModuloToState,          MODULOTOSTATE)
_(A_ChangeHeight,           CHANGEHEIGHT)

// SRB2Kart
_(A_ItemPop,                ITEMPOP)
_(A_JawzChase,              JAWZCHASE)
_(A_JawzExplode,            JAWZEXPLODE)
_(A_SPBChase,               SPBCHASE)
_(A_SSMineSearch,           SSMINESEARCH)
_(A_SSMineExplode,          SSMINEEXPLODE)
_(A_SSMineSearch,           GRENADERING)
_(A_SSMineExplode,          MINEEXPLODE)
_(A_LandMineExplode,        LANDMINEEXPLODE)
_(A_EggMinePop,             EGGMINEPOP)
_(A_BallhogExplode,         BALLHOGEXPLODE)
_(A_LightningFollowPlayer,  LIGHTNINGFOLLOWPLAYER)
_(A_FZBoomFlash,            FZBOOMFLASH)
_(A_FZBoomSmoke,            FZBOOMSMOKE)
_(A_RandomShadowFrame,      RANDOMSHADOWFRAME)
_(A_RoamingShadowThinker,   ROAMINGSHADOWTHINKER)
_(A_MayonakaArrow,          MAYONAKAARROW)
_(A_MementosTPParticles,    MEMENTOSTPPARTICLES)
_(A_ReaperThinker,          REAPERTHINKER)
_(A_SpawnSneakerPanel,      SPAWNSNEAKERPANEL)
_(A_KartGibs,               KARTGIBS)
